#include <stdio.h>

int factorial(int n) {
    if (n > 1) {
        return n * factorial(n - 1);
    } else {
        return 1;
    }
}

int main() {
    int n = 1000000000;
    printf("%d! = %d\n", n, factorial(n));
    return 0;
}
